Bug 1979402 - [abrt] ksystemstats: SensorsFeatureSensor::update(): ksystemstats killed by SIGSEGV
Summary: [abrt] ksystemstats: SensorsFeatureSensor::update(): ksystemstats killed by S...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ksystemstats
Version: 34
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Onuralp Sezer
QA Contact:
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:db407415773ac8a1bde5397ad62...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-05 21:42 UTC by Rafal
Modified: 2021-07-21 01:06 UTC (History)
3 users (show)

Fixed In Version: ksystemstats-5.22.3-1.fc34
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-21 01:06:55 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (25.64 KB, text/plain)
2021-07-05 21:42 UTC, Rafal
no flags Details
File: core_backtrace (8.72 KB, text/plain)
2021-07-05 21:42 UTC, Rafal
no flags Details
File: cpuinfo (2.16 KB, text/plain)
2021-07-05 21:42 UTC, Rafal
no flags Details
File: dso_list (723 bytes, text/plain)
2021-07-05 21:42 UTC, Rafal
no flags Details
File: environ (2.00 KB, text/plain)
2021-07-05 21:42 UTC, Rafal
no flags Details
File: exploitable (82 bytes, text/plain)
2021-07-05 21:42 UTC, Rafal
no flags Details
File: limits (1.29 KB, text/plain)
2021-07-05 21:42 UTC, Rafal
no flags Details
File: maps (3.95 KB, text/plain)
2021-07-05 21:42 UTC, Rafal
no flags Details
File: mountinfo (3.94 KB, text/plain)
2021-07-05 21:42 UTC, Rafal
no flags Details
File: open_fds (990 bytes, text/plain)
2021-07-05 21:42 UTC, Rafal
no flags Details
File: proc_pid_status (1.38 KB, text/plain)
2021-07-05 21:42 UTC, Rafal
no flags Details
File: var_log_messages (440 bytes, text/plain)
2021-07-05 21:42 UTC, Rafal
no flags Details

Description Rafal 2021-07-05 21:42:28 UTC
Version-Release number of selected component:
ksystemstats-5.22.1-1.fc34

Additional info:
reporter:       libreport-2.15.2
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/background.slice/plasma-ksystemstats.service
cmdline:        /usr/bin/ksystemstats
crash_function: SensorsFeatureSensor::update
executable:     /usr/bin/ksystemstats
journald_cursor: s=0f059329e5f64249aa28d948a2a40158;i=1e4340;b=6aadd4e420184ffc87b8f6f39f7dec6c;m=2c1f443d;t=5c5a4eede17d5;x=cd560a495f786b2e
kernel:         5.12.11-300.fc34.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SensorsFeatureSensor::update at /usr/src/debug/ksystemstats-5.22.1-1.fc34.x86_64/plugins/lmsensors/SensorsFeatureSensor.cpp:142
 #1 LmSensorsPlugin::update at /usr/src/debug/ksystemstats-5.22.1-1.fc34.x86_64/plugins/lmsensors/lmsensors.cpp:61
 #2 Daemon::sendFrame at /usr/src/debug/ksystemstats-5.22.1-1.fc34.x86_64/src/daemon.cpp:246
 #3 QtPrivate::QSlotObjectBase::call at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
 #4 doActivate<false> at kernel/qobject.cpp:3886
 #5 QMetaObject::activate at kernel/qobject.cpp:3946
 #6 QTimer::timeout at .moc/moc_qtimer.cpp:205
 #7 QObject::event at kernel/qobject.cpp:1336
 #8 doNotify at kernel/qcoreapplication.cpp:1153
 #9 QCoreApplication::notify at kernel/qcoreapplication.cpp:1139

Comment 1 Rafal 2021-07-05 21:42:33 UTC
Created attachment 1798363 [details]
File: backtrace

Comment 2 Rafal 2021-07-05 21:42:36 UTC
Created attachment 1798364 [details]
File: core_backtrace

Comment 3 Rafal 2021-07-05 21:42:37 UTC
Created attachment 1798365 [details]
File: cpuinfo

Comment 4 Rafal 2021-07-05 21:42:39 UTC
Created attachment 1798366 [details]
File: dso_list

Comment 5 Rafal 2021-07-05 21:42:40 UTC
Created attachment 1798367 [details]
File: environ

Comment 6 Rafal 2021-07-05 21:42:42 UTC
Created attachment 1798368 [details]
File: exploitable

Comment 7 Rafal 2021-07-05 21:42:44 UTC
Created attachment 1798369 [details]
File: limits

Comment 8 Rafal 2021-07-05 21:42:46 UTC
Created attachment 1798370 [details]
File: maps

Comment 9 Rafal 2021-07-05 21:42:48 UTC
Created attachment 1798371 [details]
File: mountinfo

Comment 10 Rafal 2021-07-05 21:42:49 UTC
Created attachment 1798372 [details]
File: open_fds

Comment 11 Rafal 2021-07-05 21:42:51 UTC
Created attachment 1798373 [details]
File: proc_pid_status

Comment 12 Rafal 2021-07-05 21:42:53 UTC
Created attachment 1798374 [details]
File: var_log_messages

Comment 13 Fedora Update System 2021-07-11 19:08:37 UTC
FEDORA-2021-06a44be147 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-06a44be147

Comment 14 Fedora Update System 2021-07-12 00:37:25 UTC
FEDORA-2021-06a44be147 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-06a44be147`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-06a44be147

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-07-12 12:19:06 UTC
FEDORA-2021-06a44be147 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-06a44be147

Comment 16 Rafal 2021-07-12 16:14:33 UTC
crash again.

Comment 17 Rafal 2021-07-12 16:29:52 UTC
Similar problem has been detected:

crash after bug update

reporter:       libreport-2.15.2
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/app.slice/app-org.gnome.Terminal.slice/vte-spawn-a3ddb781-8f59-43d7-8ae0-b4909c369dab.scope
cmdline:        ksystemstats
crash_function: SensorsFeatureSensor::update
executable:     /usr/bin/ksystemstats
journald_cursor: s=20f3949daaa04fff91cce11192b01a71;i=6ab42;b=720d006d382c4b11a04c8b5cec74a622;m=1941a78b;t=5c6ef5fd82168;x=708c8042d8a3712f
kernel:         5.12.14-300.fc34.x86_64
package:        ksystemstats-5.22.3-1.fc34
reason:         ksystemstats killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Fedora Update System 2021-07-13 01:01:17 UTC
FEDORA-2021-06a44be147 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-06a44be147`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-06a44be147

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2021-07-21 01:06:55 UTC
FEDORA-2021-06a44be147 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.